import { Observable } from 'rxjs';
import { BrowserENV } from '../../helper';
export declare class AppController {
    onQuit: Observable<void>;
    onResize: Observable<BrowserENV>;
    transition: Observable<boolean>;
    private quitEvent;
    private resizeEvent;
    private transitionEvent;
    constructor();
    quit(): void;
    resize(env: BrowserENV): void;
    transitionStart(): void;
    transitionEnd(): void;
}
export declare function getDeviceType(): BrowserENV;
